Loading...
Searching...
No Matches
Magick::gifDisposeMethodImage Class Reference

## Public Member Functions

| gifDisposeMethodImage (const DisposeType disposeMethod_)
void | operator() (Image &image_) const

## Private Attributes

DisposeType | _disposeMethod

## Detailed Description

Definition at line 1513 of file STL.h.

## Constructor & Destructor Documentation

## gifDisposeMethodImage()

Magick::gifDisposeMethodImage::gifDisposeMethodImage | ( | const DisposeType | disposeMethod_ | ) |

Definition at line 1390 of file STL.cpp.

: _disposeMethod( disposeMethod_ )
{
}

## Member Function Documentation

## operator()()

void Magick::gifDisposeMethodImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1394 of file STL.cpp.

{
image_.gifDisposeMethod( _disposeMethod );
}

## Field Documentation

## _disposeMethod

DisposeType Magick::gifDisposeMethodImage::_disposeMethod

private

Definition at line 1521 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp